Subject: [Errata Rejected] RFC7233 (4682)

From: RFC Errata System <[email-masked]>
Date: Thu, 23 Feb 2017 07:20:10 -0800 (PST)

The following errata report has been rejected for RFC7233,
"Hypertext Transfer Protocol (HTTP/1.1): Range Requests".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7233&eid=4682

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Kannan Goundan <[email-masked]>
Date Reported: 2016-05-03
Rejected by: Alexey Melnikov (IESG)

Section: 2.1

Original Text
-------------
byte-range-set= 1#( byte-range-spec / suffix-byte-range-spec )

Corrected Text
--------------
According to the "1#element" rule, the expansion would be:

    byte-range-set = ( byte-range-spec /
        suffix-byte-range-spec ) *( OWS "," OWS ( byte-range-spec /
        suffix-byte-range-spec ) )

But Appendix D has the definition:

    byte-range-set = *( "," OWS ) ( byte-range-spec /
        suffix-byte-range-spec ) *( OWS "," [ OWS ( byte-range-spec /
        suffix-byte-range-spec ) ] )

Notes
-----
This is a followup to my original report: <http://www.rfc-editor.org/errata_search.php?rfc=7233&eid=4681>

My original report was incorrect because I didn't notice the difference between "1*element" and "1#element".  Thanks to Julian Reschke for pointing this out to me.

After looking up the "1#element" rule <https://tools.ietf.org/html/rfc7230#section-7>, it looks like Section 2.1 and Appendix D are more similar, but not exactly equivalent.

The Appendix D version of the rule seems to allow extra commas and OWS.  
I'm trying to write strict parsing code for this header and am not sure which definition to follow.

P.S. I hope I didn't screw up again.  I apologize for wasting your time (again) if I did.
 --VERIFIER NOTES-- 
 See HTTPBIS mailing list discussion.

--------------------------------------
RFC7233 (draft-ietf-httpbis-p5-range-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Range Requests
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., Y. Lafon, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG